Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hpbf.dev
Class HPBFDumper

    java.lang.Object
      org.apache.poi.hpbf.dev.HPBFDumper

    public final class HPBFDumper

extends java.lang.Object

For dumping out the contents of HPBF (Publisher) files, while we try to figure out how they're constructed.

Constructor Summary
`HPBFDumper(java.io.InputStream inp)`
`HPBFDumper(org.apache.poi.poifs.filesystem.POIFSFileSystem fs)`

Method Summary
`void` | `dumpContents()`
`void` | `dumpCONTENTSguessed(org.apache.poi.poifs.filesystem.DirectoryNode dir)`
`void` | `dumpCONTENTSraw(org.apache.poi.poifs.filesystem.DirectoryNode dir)`
`void` | `dumpEnvelope()`
`void` | `dumpEscher()` Dump out the escher parts of the file.
`void` | `dumpQuill()`
`static void` | `main(java.lang.String[] args)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HPBFDumper

    public HPBFDumper(org.apache.poi.poifs.filesystem.POIFSFileSystem fs)

### HPBFDumper

    public HPBFDumper(java.io.InputStream inp)
               throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### dumpEscher

    public void dumpEscher()
                    throws java.io.IOException

  Dump out the escher parts of the file. Escher -> EscherStm and EscherDelayStm

  Throws:
    `java.io.IOException`

### dumpEnvelope

    public void dumpEnvelope()
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

### dumpContents

    public void dumpContents()
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

### dumpCONTENTSraw

    public void dumpCONTENTSraw(org.apache.poi.poifs.filesystem.DirectoryNode dir)
                         throws java.io.IOException

  Throws:
    `java.io.IOException`

### dumpCONTENTSguessed

    public void dumpCONTENTSguessed(org.apache.poi.poifs.filesystem.DirectoryNode dir)
                             throws java.io.IOException

  Throws:
    `java.io.IOException`

### dumpQuill

    public void dumpQuill()
                   throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD